EPGSelection.py breaks EPG in VIx

  • Hey KiddaC,


    Wondering if you have seen this issue or if anyone else here is having this issue. I just flashed to the most recent OpenVix to give it a play and everything was fine until I changed the EPGSelection.pyo. I've done this countless times with other images, including Vix, in the past but have never had this problem.


    I replace the old .pyo with the .py, restart the GUI, then the Graphical EPG will not open. When I press the button, the box crashes. If I revert back to the original .pyo file, its not an issue anymore.


    Thoughts?


    Mano

  • If the skin is more important to you than the image, use OpenATV instead. If you still want to use OpenVix, do not update it.


    Simon Capewell (not part of OpenViX team) has been making improvements to the EPG on OpenViX. OpenViX will continue improve their Enigma2.

  • I appreciate what you are saying, but that's why I raised this issue in KiddaC's Skins section, not with OpenVix. I don't expect the Vix team to fit their image to a third party's skin.


    My issue is that I had used Vix in the past and it worked fine with these skins. I like to play with my Enigma2 device and try other images, skins and plugins all the time. I have used many images, including OpenATV and currently PurE2. Most work fine with these skins. Suddenly, Vix no longer works with them when you make this particular mod...the skin itself works fine, its just this single mod to the Graphical EPG.


    I came here looking for some thoughts on why or if anyone had potentially found a solution. If not, that's fine, not too worried about it. Sorry if my question somehow offended you...it seems as though it did. If I have taken you wrong, then I apologize for that and thank you for your response.


    All the best,

    Mano

  • I am not offended by your post.


    Kiddac's skins are not just skins. They have python files that are normally part of the image. These add the epg tabs etc. As the python files are going to be different on people using different images, I doubt he will be able to have different versions no is it fair on him.


    There are a couple of EPG files that have changed and possibly the usage file too. People will have to add these older files too.

  • Gotcha.


    I think I understand. I have just started to play around with varying files within the root of the box. I have had some good instruction from other E2 users on this. So there is likely some new code within those EPGSelection python files that is no longer compatible with the mod that KiddaC has designed?


    So, either using an older version of Vix or finding the problematic code and altering it would be the solution. I would never expect KiddaC to make skins specific to an image. I truly appreciate what he does, it is far beyond my capbilities! Perhaps on another day I'll flash back to OpenVix and take a look at crash error more closely and see if I can figure out which parts of that python file are causing hte problem.


    Thanks for your help!

  • Sorry only just seen this post.


    Abu knows I have an issue with openvix as its just becoming an openpli clone and becoming more and more difficult to skin for, so he is just defending his openvix corner. It's nothing personal against you.


    Apart from the virtualkeyboard component which I am now going to include in my skins, I do not include any core python components in my skins.

    The only python components I do include are specific to my skin.

    Any hacks that amend core components have to be manually installed via the user.


    I don't have a box that is compatible with openvix so with the help of dsayers we tried making an openvix only version of my new epg tabs mod, which included their new code and my new code. This seemed to work initially but was then reported to be broken again. So as Abu mentioned openvix must have updated something that made it incompatible again. So its just a case of cat and mouse at the moment to keep this working.


    I think dsayers actually posted a corrected amend of it on one of my skins posts or general waffle post a couple of weeks ago when I was absent from the forum.

    I will hunt it down when i get in from work if you haven't found it since.

    ** A person who feels appreciated will always do more than what is expected **

  • What skin are you using? This is for the new Slyk 1080 R19 skin Please login to see this link. if using 1 of the other skins then try the attached epgselection.py


    * edit by kiddac - see posts below *

    The post was edited 1 time, last by KiddaC ().

  • Confusion in this thread, as I have deleted a thread since dsayers linked through to an old post.


    OpenVix(only) epgselection.py mod. Changes the coloured buttons and allows tabs in the epg (for my skins and chabs' sky skins)


    If using any of my older skins or other peoples skins.

    Use the following attachment.


    /usr/lib/enigma2/python/Screens

    Files

    ** A person who feels appreciated will always do more than what is expected **

    The post was edited 2 times, last by KiddaC ().

  • OpenVix(only) epgselection.py mod. Changes the coloured buttons and allows responsive tabs in the epg.


    For use with any of my new skins, slyk onyx1080, slyk 1080 r19, slyk Q 1080

    Use the following attachment.


    /usr/lib/enigma2/python/Screens

    Files

    ** A person who feels appreciated will always do more than what is expected **

    The post was edited 1 time, last by KiddaC ().

  • If either of these are still causing issues on openvix, can you let me know and between me and dsayers we will try to fix them.

    I will need a copy of your latest crash log. /home/root/logs

    Ta.

    ** A person who feels appreciated will always do more than what is expected **

  • Hi KiddaC the latest epgselection.py you uploaded above crashes my vu plus duo 2 on the latest openvix.


    I have uploaded one i edited about a month ago in the support thread where dsayers suggested deleting a line which i did and it worked, so i can confirm it shows the sly tabs and works on latest openvix, not sure if the coding needs tidying up on it, but it works.


    Thanks

    Josh

  • Whichever one dsayers posted in here last week is working for me on OpenVix right now. I multiboot between Vix and ATV and I have the tabs working properly in both. Thanks to KiddaC and dsayers for the fast responses and fixes!

  • i have no epg tabs now after adding this updated file although its no longer crashing the box


    openvix lastest, vu ultimo box, using slyk 1080

  • Did you enable tabs on the skin?

  • in the extras.xml you mean? it was already enabled from before i added the new file, will i have to edit it again Please login to see this link.

    Please login to see this link.

    Please login to see this link.

    Please login to see this link.

    Please login to see this link.

    Please login to see this link.

  • EDIT just checked and its all still set to show epg tabs


    <!-- EPGS -->

    <!-- EPG SKY TABS - amend the panel numbers below -->

    <!-- 1 = original no tabs (default) -->

    <!-- 2 = sky tabs - This also requires the EpgSelection.py as found in my dropbox. EpgSelection.py needs to be placed in /usr/lib/enigma2/python/Screens. Reboot required. -->

    <!-- edit both panels -->

    <!-- EPG (epg button)-->


    <screen name="GraphicalEPGPIG" position="0,0" size="1920,1080" backgroundColor="backgroundmid" flags="wfNoBorder">

    <panel name="GraphicalEPGPIG2" />

    </screen>


    <screen name="GraphicalEPG" position="0,0" size="1920,1080" backgroundColor="backgroundmid" flags="wfNoBorder">

    <panel name="GraphicalEPG2" />

    </screen>

  • No you shouldn't need to re edit the extras.xml I have switched back to Vix using multiboot and this is the version I have installed for the new 1080 skin code, I haven't got my laptop on to compare with versions in this thread but I'll try and have a look tomorrow.

  • No you shouldn't need to re edit the extras.xml I have switched back to Vix using multiboot and this is the version I have installed for the new 1080 skin code, I haven't got my laptop on to compare with versions in this thread but I'll try and have a look tomorrow.

    cheers pal thats working fine now,


    maybe i downloaded the wrong 1 as kiddac posted 2

  • I also have latest OpenVix image, and everything was working fine before i upgraded to 5.2.

    Using the files here I have managed to get it back up and running without crashing, but there is one issue that I cant seem to fix.


    On the 5.1 version, my tabs were all across the top of the epg and pressing the < or > scrolled through them. Now, I only see the name of the current tab on the top left corner and the rest of the bar is blank.

    I can switch between them, but it doesnt look quite right.

KiddaC Skins and Plugins

KiddaC Skins and Plugins. slyk-1-hd, v-skin-hd, slyk-q-hd, slyk onyx enigma2 skins and Jedi Maker Xtream.